#ifndef _LPGRAPH_
#define _LPGRAPH_

#include "Set.h"
#include <stdio.h>
#include <stdlib.h>
#include <glpk.h>
#include <iostream>
#include <numeric>
#include <functional>
#include <sstream>
#include <algorithm>
#include <vector>
#include <math.h>
#include <string>
#include <fstream>
#include <ostream>
#include <list>
#include <algorithm>

#define EPS numeric_limits<double>::epsilon()

using namespace std;


#ifndef PI
#define PI 3.141592654
#endif


int ReadCPLEXSolution(CSet &SET,  const int fr_ini, const int fr_end, const double tdiff, const vector<int> Ncols);


vector<int> CreateDWproblem( CSet &SET, const int fr_ini, const int fr_end, const double tdiff, const int iternum);


#endif