#include <math.h>
#include <algorithm>
#include "Data.h"


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#ifndef C_VIRTUAL_VALUE
#define C_VIRTUAL_VALUE 100000.0
#endif

using namespace std;

CData::CData(){
	fn = -1;
	id = -1;
	x = y = z = C_VIRTUAL_VALUE;
	vx = vy = vz = -1.0;
	autoclass=-1;
	timet=-1.0;
	oldclass=-1;
	created=false;
	predicted=false;
	height=-1.0;
	width=-1.0;
	x2=-1.0;
	y2=-1.0;
	z2=1.0;
	
}


CData::CData(int _fn, int _id,  double _x, double _y, double _z,double _vx, double _vy, double _vz ){
	fn = _fn;
	id=_id;
	x = _x; 
	y = _y;
	z = _z;
	vx = _vx; 
	vy = _vy;
	vz = -1.0;
	autoclass=-1;
	timet=-1.0;
	oldclass=-1;
	created=false;
	predicted=false;
	height=-1.0;
	width=-1.0;
	x2=-1.0;
	y2=-1.0;
	z2=1.0;
	
}

CData::~CData(){

}

